commit:     118bb1c0252c90d68283e5ada7324fe096006478
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 31 13:06:25 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Dec 31 13:07:11 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=118bb1c0

app-i18n/scim-wijesekera: Port to EAPI 6

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 .../scim-wijesekera/scim-wijesekera-0.3.3-r1.ebuild   | 19 +++++++++++++------
 profiles/package.mask                                 |  5 -----
 2 files changed, 13 insertions(+), 11 deletions(-)

diff --git a/app-i18n/scim-wijesekera/scim-wijesekera-0.3.3-r1.ebuild 
b/app-i18n/scim-wijesekera/scim-wijesekera-0.3.3-r1.ebuild
index 69f362e5b6e..28914bc279f 100644
--- a/app-i18n/scim-wijesekera/scim-wijesekera-0.3.3-r1.ebuild
+++ b/app-i18n/scim-wijesekera/scim-wijesekera-0.3.3-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=2
+EAPI=6
 
-inherit autotools eutils
+inherit autotools
 
 DESCRIPTION="Wijesekara keyboard for Sinhala input using scim"
 HOMEPAGE="http://sinhala.sourceforge.net/";
@@ -18,13 +18,20 @@ RDEPEND=">=app-i18n/scim-0.99.8[-gtk3]"
 DEPEND="${RDEPEND}
        virtual/pkgconfig"
 
+PATCHES=( "${FILESDIR}"/${P}-gcc43.patch )
+
 src_prepare() {
-       epatch "${FILESDIR}/${P}-gcc43.patch"
+       default
        eautoreconf
 }
 
+src_configure() {
+       econf --disable-static
+}
+
 src_install() {
-       emake DESTDIR="${D}" install || die "emake install failed"
+       default
 
-       dodoc AUTHORS ChangeLog NEWS README
+       # plugin module, no point in .la files
+       find "${D}" -name '*.la' -delete || die
 }

diff --git a/profiles/package.mask b/profiles/package.mask
index 90fdf16d7c9..533c373b04c 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -29,11 +29,6 @@
 
 #--- END OF EXAMPLES ---
 
-# David Seifert <[email protected]> (31 Dec 2017)
-# Dead upstream, broken use of GTK+, unmaintained.
-# Removal in 30 days
-app-i18n/scim-wijesekera
-
 # Alice Ferrazzi <[email protected]> (30 Dec 2017)
 # Masked for removal in 30 days.
 # Upstream is no more backporting security fixes for 4.12.

Reply via email to